<?php
require ("../../config-arz.php");
$loginControl->wwwRedirTo = Functions::GetCurrentUrl();
$loginControl->RequireAuthentication(7,1);
require_once ($CFG->dirClass."commons/Email.php");
$crudCat = new EmailCategoriaDAO($CFG->dbAccess);

$categoria = new EmailCategoria();

if(isset($_GET["id"]))
{
	$categoria = $crudCat->FindByKey(array(array("name"=>"EC.id", "value"=>$_GET["id"])));
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php echo _SITE_TITLE_ ?> -  - rea administrativa - Categorias de lista de e-mails</title>
<link href="../css/style.css" rel="stylesheet" type="text/css" />
<?php include $CFG->dirRoot."lib/commonsJS.php"; ?>
<script language="javascript" type="text/javascript">

function confirmaExclusao(id)
{
	if(confirm("Deseja realmente remover esta categoria?"))
	{
		location.href = "updateCategoria.php?remove&id="+id;
	}
}

</script>
</head>
<body>
<div id="page">
<?php include($CFG->dirAdm."topo.php") ?>
<div id="content">
	<?php Layout::StartBox("500px") ?>
	<h1> <img src="../images/icons/lista_emails.png" width="48" height="48" align="absmiddle" /><?php echo ($categoria->id > 0) ? "Alterao" : "Incluso" ?> de categoria para listas de e-mails</h1>
	<form id="form1" action="updateCategoria.php" method="post">
	<table width="100%" border="0" cellspacing="0" cellpadding="3">
      <tr>
        <td>Nome:</td>
        <td>
        <input name="categoria" type="text" class="campo" id="categoria" size="50" value="<?php echo $categoria->categoria ?>" />
        <input name="id" type="hidden" value="<?php echo $categoria->id ?>" />
        </td>
      </tr>
      <tr>
        <td>Tag:</td>
        <td>
        <input name="tag" type="text" class="campo" id="tag" size="20" value="<?php echo $categoria->tag ?>" />
        </td>
      </tr>
      <tr>
        <td colspan="2">
		<input name="btnSalvar" type="submit" class="button" id="btnSalvar" value="<?php echo ($categoria->id > 0) ? "Salvar" : "Incluir" ?>" />
		<input name="button" type="button" class="button" onclick="location.href='listar.php'" value="Voltar" />					
        </td>
      </tr>
    </table>	
	</form>	
	<?php Layout::EndBox() ?>
  	<br />

	<div id="resultado">
	<?php 
	$res = $crudCat->Find("");
	if($res->success)
	{
		$records = $res->value;
			
		if(count($records) > 0)
		{
		?>
	
		<table width="500" border="0" align="center" cellpadding="3" cellspacing="0" id="tbLista">
		<tr>
			<th align="left" nowrap="nowrap" class="Tit">Categoria</th>
			<th width="1%" class="Tit">Tag</th>
			<th width="1%" class="Tit">Editar</th>
			<th width="1%" class="Tit">Excluir</th>
		</tr>
		<?php
		for($i=0;$i<count($records);$i++)
		{		
			$dados = $records[$i];
			$class = ($i%2==0) ? "l1" : "l2";
			?>
			<tr class="<?php echo $class?>">
			<td align="left"><?php echo $dados->categoria;?></td>
			<td align="center"><?php echo $dados->tag;?></td>
			<td align="center"><a
				href="formCategoria.php?id=<?php echo $dados->id;?>"><img
				src="<?php echo $CFG->wwwAdmImages?>edit.gif" border="0"></a></td>
			<td align="center"><a
				href="javascript:;" onclick="confirmaExclusao(<?php echo $dados->id;?>)"><img
				src="<?php echo $CFG->wwwAdmImages?>excluir.gif" border="0"></a></td>
			</tr>
		<?php } ?>
		</table>
		<?php
		}
		else
		{
			echo"<p align='center'>Nenhum registro encontrado!</p>";
		}
	}
	else
	{
		echo"<p align='center'>Erro ao selecionar dados! Erro: ".$res->message."</p>";
	}
	?>
	</div>
	<script type="text/javascript">
			
	var categoria = new LiveValidation( 'categoria' );	
	categoria.add( Validate.Presence, {failureMessage: "Preencha este campo!" } );

	var tag = new LiveValidation( 'tag' );	
	tag.add( Validate.Presence, {failureMessage: "Preencha este campo!" } );

					
	</script>
</div>
<?php include ($CFG->dirAdm."footer.php"); ?>	
</div>	
</body>
</html>
