INSERT INTO `adm_areas` (`id`, `area`) VALUE (4, "Banners");
INSERT INTO `adm_areas` (`id`, `area`) VALUE (7, "E-mails");
INSERT INTO `adm_modulos` (`id_area`, `id`, `modulo`) VALUE (4, 1, 'Manuteno');
INSERT INTO `adm_modulos` (`id_area`, `id`, `modulo`) VALUE (7, 1, 'Manuteno');
INSERT INTO `adm_usuarios_permissoes` (`id_area`, `id_modulo`, `id_usuario`) VALUE (4, 1, 1);
INSERT INTO `adm_usuarios_permissoes` (`id_area`, `id_modulo`, `id_usuario`) VALUE (4, 1, 2);
INSERT INTO `adm_usuarios_permissoes` (`id_area`, `id_modulo`, `id_usuario`) VALUE (7, 1, 1);
INSERT INTO `adm_usuarios_permissoes` (`id_area`, `id_modulo`, `id_usuario`) VALUE (7, 1, 2);

CREATE TABLE `banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `legenda` varchar(30) DEFAULT NULL,
  `descricao` text,
  `ordem` int(11) DEFAULT NULL,
  `ativo` char(1) DEFAULT 'S',
  `path` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `emails_categorias` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `categoria` varchar(50) DEFAULT NULL,
  `tag` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tag` (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `emails` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(50) DEFAULT NULL,
  `email` varchar(50) NOT NULL,
  `data_inclusao` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `email_2` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `emails_categorias_rel` (
  `id_email` int(11) NOT NULL,
  `id_categoria` int(11) NOT NULL,
  PRIMARY KEY (`id_email`,`id_categoria`),
  KEY `id_email` (`id_email`),
  KEY `id_categoria` (`id_categoria`),
  CONSTRAINT `emails_categorias_rel_fk1` FOREIGN KEY (`id_categoria`) REFERENCES `emails_categorias` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `emails_categorias_rel_fk` FOREIGN KEY (`id_email`) REFERENCES `emails` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
